> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enforster.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Issues Summary

> Get a summary of issues for the organization.

Args:
    user: Authenticated user from Clerk
    
Returns:
    Summary statistics and recent issues
    
Raises:
    401: Unauthorized (invalid token)
    403: Forbidden (no organization found)
    500: Internal server error



## OpenAPI

````yaml api-reference/openapi.json get /api/issues/summary
openapi: 3.1.0
info:
  title: Enforster AI API
  description: Enforster AI API for code analysis and security scanning.
  version: 1.8.0
servers: []
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /api/issues/summary:
    get:
      summary: Get Issues Summary
      description: |-
        Get a summary of issues for the organization.

        Args:
            user: Authenticated user from Clerk
            
        Returns:
            Summary statistics and recent issues
            
        Raises:
            401: Unauthorized (invalid token)
            403: Forbidden (no organization found)
            500: Internal server error
      operationId: get_issues_summary_api_issues_summary_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IssueSummaryResponse'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    IssueSummaryResponse:
      properties:
        total_issues:
          type: integer
          title: Total Issues
        issues_by_severity:
          additionalProperties:
            type: integer
          type: object
          title: Issues By Severity
        issues_by_category:
          additionalProperties:
            type: integer
          type: object
          title: Issues By Category
        false_positive_count:
          type: integer
          title: False Positive Count
        recent_issues:
          items:
            $ref: '#/components/schemas/IssueResponse'
          type: array
          title: Recent Issues
      type: object
      required:
        - total_issues
        - issues_by_severity
        - issues_by_category
        - false_positive_count
        - recent_issues
      title: IssueSummaryResponse
    IssueResponse:
      properties:
        id:
          type: string
          title: Id
        scan_id:
          type: string
          title: Scan Id
        file_path:
          type: string
          title: File Path
        line_number:
          type: integer
          title: Line Number
        column_start:
          anyOf:
            - type: integer
            - type: 'null'
          title: Column Start
        column_end:
          anyOf:
            - type: integer
            - type: 'null'
          title: Column End
        category:
          type: string
          title: Category
        severity:
          type: string
          title: Severity
        confidence:
          type: number
          title: Confidence
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        explanation:
          anyOf:
            - type: string
            - type: 'null'
          title: Explanation
        code_snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Code Snippet
        context_before:
          anyOf:
            - type: string
            - type: 'null'
          title: Context Before
        context_after:
          anyOf:
            - type: string
            - type: 'null'
          title: Context After
        remediation:
          anyOf:
            - type: string
            - type: 'null'
          title: Remediation
        remediation_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Remediation Code
        cwe_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cwe Ids
        owasp_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Owasp Category
        cvss_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Cvss Score
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        model_used:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Used
        false_positive:
          type: boolean
          title: False Positive
          default: false
        exploitable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Exploitable
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        repo_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Name
        scan_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Status
        scan_created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Created At
      type: object
      required:
        - id
        - scan_id
        - file_path
        - line_number
        - category
        - severity
        - confidence
        - title
        - description
      title: IssueResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Use an API key in the X-API-Key header.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Clerk JWT bearer token.

````